﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace PanelBar_CenteredHeaders
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			this.PanelBar.ItemsSource = this.GenerateData();
		}

		private List<DataItem> GenerateData()
		{
			List<DataItem> result = new List<DataItem>();

			for (int i = 1; i < 10; i++)
			{
				DataItem item = new DataItem()
				{
					Header = String.Format("Item {0}", i)
				};

				for (int j = 1; j < 10; j++)
				{
					DataItem subItem = new DataItem()
					{
						Header = String.Format("Item {0}.{1}", i,j)
					};

					for (int k = 1; k < 10; k++)
					{
						DataItem subSubItem = new DataItem()
						{
							Header = String.Format("Item {0}.{1}.{2}", i, j, k)
						};

						subItem.Items.Add(subSubItem);
					}

					item.Items.Add(subItem);
				}

				result.Add(item);
			}

			return result;
		}
	}
}
